Bug 81121 - [BlackBerry] Add WebPageCompositor class to BlackBerry WebKit API
: [BlackBerry] Add WebPageCompositor class to BlackBerry WebKit API
Status: RESOLVED FIXED
: WebKit
WebKit BlackBerry
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To:
:
:
: 81115
: 82104
  Show dependency treegraph
 
Reported: 2012-03-14 09:08 PST by
Modified: 2012-03-23 18:12 PST (History)


Attachments
Patch (33.64 KB, patch)
2012-03-16 17:32 PST, Arvid Nilsson
no flags Review Patch | Details | Formatted Diff | Diff
Patch (33.61 KB, patch)
2012-03-23 16:56 PST, Arvid Nilsson
no flags Review Patch | Details | Formatted Diff | Diff
Patch (33.56 KB, patch)
2012-03-23 17:28 PST, Arvid Nilsson
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2012-03-14 09:08:42 PST
This is used to render the web page when we don't have a screen window.
------- Comment #1 From 2012-03-16 17:32:42 PST -------
Created an attachment (id=132425) [details]
Patch
------- Comment #2 From 2012-03-16 17:54:38 PST -------
(From update of attachment 132425 [details])
View in context: https://bugs.webkit.org/attachment.cgi?id=132425&action=review

Looks good.

> Source/WebKit/blackberry/Api/WebPageCompositorClient.h:27
> +class WebPage;

Does not seem needed.
------- Comment #3 From 2012-03-16 17:57:36 PST -------
(From update of attachment 132425 [details])
Rejecting attachment 132425 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
/WebPageCompositor.h
patching file Source/WebKit/blackberry/Api/WebPageCompositorClient.h
patching file Source/WebKit/blackberry/Api/WebPageCompositor_p.h
Hunk #3 FAILED at 74.
1 out of 3 hunks FAILED -- saving rejects to file Source/WebKit/blackberry/Api/WebPageCompositor_p.h.rej
patching file Source/WebKit/blackberry/Api/WebPage_p.h

Failed to run "[u'/mnt/git/webkit-commit-queue/Tools/Scripts/svn-apply', u'--force', u'--reviewer', u'Rob Buis']" exit_code: 1 cwd: /mnt/git/webkit-commit-queue/

Full output: http://queues.webkit.org/results/11963622
------- Comment #4 From 2012-03-23 16:56:22 PST -------
Created an attachment (id=133587) [details]
Patch
------- Comment #5 From 2012-03-23 16:59:01 PST -------
Alright, trying again =)
------- Comment #6 From 2012-03-23 17:07:45 PST -------
(From update of attachment 133587 [details])
View in context: https://bugs.webkit.org/attachment.cgi?id=133587&action=review

Looks good.

> Source/WebKit/blackberry/Api/WebPageCompositor.cpp:239
> +WebPageCompositor::WebPageCompositor(WebPage* page, WebPageCompositorClient* client)

You could omit the param names, as you are not using them.

> Source/WebKit/blackberry/Api/WebPageCompositorClient.h:27
> +class WebPage;

You are not using WebPage in this file.
------- Comment #7 From 2012-03-23 17:22:06 PST -------
(In reply to comment #6)
> (From update of attachment 133587 [details] [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=133587&action=review
> 
> Looks good.
> 
> > Source/WebKit/blackberry/Api/WebPageCompositor.cpp:239
> > +WebPageCompositor::WebPageCompositor(WebPage* page, WebPageCompositorClient* client)
> 
> You could omit the param names, as you are not using them.
> 
> > Source/WebKit/blackberry/Api/WebPageCompositorClient.h:27
> > +class WebPage;
> 
> You are not using WebPage in this file.

D'oh, you already told me that the last time around =) Hang on, I can fix and put a new patch up.
------- Comment #8 From 2012-03-23 17:23:02 PST -------
(From update of attachment 133587 [details])
Stop so Arvid can fix the forward reference.
------- Comment #9 From 2012-03-23 17:28:47 PST -------
Created an attachment (id=133595) [details]
Patch
------- Comment #10 From 2012-03-23 17:32:57 PST -------
(From update of attachment 133595 [details])
Looks good, another try :)
------- Comment #11 From 2012-03-23 18:12:39 PST -------
(From update of attachment 133595 [details])
Clearing flags on attachment: 133595

Committed r111959: <http://trac.webkit.org/changeset/111959>
------- Comment #12 From 2012-03-23 18:12:44 PST -------
All reviewed patches have been landed.  Closing bug.